classification
Title: test_sni in test_urllib2net could be enabled
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: grooverdan, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2013-02-02 22:15 by pitrou, last changed 2013-02-05 20:26 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
https_sni_test.patch grooverdan, 2013-02-03 21:19 test case as requested review
Messages (5)
msg181222 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-02 22:15
Right now test_sni in test_urllib2net is skipped with the message "test disabled - test server needed". But the ssl module now has server-side SNI support, and therefore we could implement this test with a local server (and perhaps move it to test_urllib2_localnet).
msg181300 - (view) Author: Daniel Black (grooverdan) * Date: 2013-02-03 21:19
ask and you shall receive :-)
msg181375 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-04 19:06
Thanks for the patch :)
Since the test doesn't access a remote host (the version before it was skipped used to), I think it could be moved to test_urllib2_localnet. Also, the transient_internet() shouldn't be necessary.
msg181477 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-05 20:24
New changeset f74a12e23aaa by Antoine Pitrou in branch 'default':
Issue #17107: Test client-side SNI support in urllib.request thanks to the new server-side SNI support in the ssl module.
http://hg.python.org/cpython/rev/f74a12e23aaa
msg181478 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-05 20:26
Ok, I've tweaked the patch a bit and committed it. Thank you!
History
Date User Action Args
2013-02-05 20:26:28pitrousetstatus: open -> closed
versions: - Python 3.5
messages: + msg181478

resolution: fixed
stage: needs patch -> resolved
2013-02-05 20:24:57python-devsetnosy: + python-dev
messages: + msg181477
2013-02-04 19:06:43pitrousetmessages: + msg181375
2013-02-03 21:19:28grooverdansetfiles: + https_sni_test.patch
versions: + Python 3.5
nosy: + grooverdan

messages: + msg181300

keywords: + patch
2013-02-02 22:15:52pitroucreate